%define oname   Ascii85

Name:       ruby-%{oname}
Version:    1.0.2
Release:    %mkrel 8
Summary:    Provides methods for encoding/decoding Adobe's binary-to-text encoding
Group:      Development/Ruby
License:    MIT
URL:        http://ascii85.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: locales
BuildArch:  noarch

%description
Ascii85 is a simple gem that provides methods for encoding/decoding Adobe's
binary-to-text encoding of the same name.
See http://www.adobe.com/products/postscript/pdfs/PLRM.pdf page 131 and
http://en.wikipedia.org/wiki/Ascii85 for more information about the format.

%files
%{_bindir}/ascii85
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
rm -f *.gemspec

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.0.2-8.mga4
+ Revision: 562827
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.0.2-7.mga4
+ Revision: 561005
- 'Fix gem macros'

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-6.mga4
+ Revision: 535258
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.0.2-5.mga4
+ Revision: 481804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 09 2013 pterjan <pterjan> 1.0.2-4.mga4
+ Revision: 476722
- Fix file list

  + fwang <fwang>
    - drop old gemspec file

* Fri Feb 08 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 395698
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 380595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 312388
- update file list
- br locales
- use utf-8
- new version 1.0.2

* Sat Aug 11 2012 shlomif <shlomif> 1.0.1-1.mga3
+ Revision: 280711
- New version

* Tue Jan 25 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 39581
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 37830
- imported package ruby-Ascii85


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.0-1mdv2011.0
- Initial package
